%global _hardened_build 1

Name:           sitecopy
Version:        0.16.6
Release:        14%{?dist}
Summary:        Tool for easily maintaining remote web sites
License:        GPLv2+
URL:            http://www.manyfish.co.uk/sitecopy
Source0:        http://www.manyfish.co.uk/%{name}/%{name}-%{version}.tar.gz
Patch0:         configure-%{version}.patch
BuildRequires:  gettext neon-devel

%description
sitecopy allows you to easily maintain remote Web sites.  The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single
command. sitecopy will also optionally try to spot files you move
locally, and move them remotely.  FTP and WebDAV servers are
supported.

%prep
%setup -q
%patch0 -p1 -b .configure

# Forcibly prevent use of bundled neon/expat/gettext sources.
rm -r lib/neon/*.[ch] intl/*.[ch]

%build
export LDFLAGS="-pie"
%configure --with-neon
make %{?_smp_mflags}

%install
make install docdir=%{_datadir}/doc/sitecopy DESTDIR=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/sitecopy
%{_mandir}/man1/*
%{_mandir}/*/man1/*
%{_datadir}/sitecopy

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 09 2013 Christopher Meng <rpm@cicku.me> - 0.16.6-12
- Refresh patch for neon 0.30.
- SPEC cleanup.
- Unversioned docdir.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 30 2011 Joe Orton <jorton@redhat.com> - 0.16.6-7
- forcibly prevent use of bundled neon/expat/gettext sources

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 16 2010 Rakesh Pandit <rakesh@fedoraproject.org> 0.16.6-5
- Patched configure for time being (to work with 0.29.X neon)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug  3 2008 Joe Orton <jorton@redhat.com> 0.16.6-2
- really build as PIE

* Sun Aug  3 2008 Joe Orton <jorton@redhat.com> 0.16.6-1
- update to 0.16.6
- drop OS/2 README
- use system gettext
- build as PIE
- sanitize BuildRequires

* Wed Jul 16 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.16.5-1
 - Updated to latest release 0.16.5 which fixs neon 

* Wed Jul 16 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.16.3-3
 - license issue, corrected buildrequire tag

* Thu Jul 10 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.16.3-2
 - Rebuild on fedora 8 onwards, packaged with new guidelies
 - removed broken xsitecopy again
 - solved encoding warning, corrected group tag

* Sun Mar 12 2006 Dag Wieers <dag@wieers.com> 0.16.3-1
 - Updated to release 0.16.3 and older versions
 - mainted old package

* Sat Aug 13 2005 Joe Orton <joe@manyfish.co.uk>
 - removed xsitecopy subpackage, use find_lang, etc
 - maintained old packages
